package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.StepUpProvider.Update(ctx, operations.C1APIStepupV1StepUpProviderServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateStepUpProviderResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.stepUpProvider.update({
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/step-up/providers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stepUpProvider": {
"clientId": "<string>",
"displayName": "<string>",
"enabled": true,
"issuerUrl": "<string>",
"microsoft": {
"conditionalAccessIds": [
"<string>"
],
"tenant": "<string>"
},
"oauth2": {
"acrValues": [
"<string>"
]
}
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/step-up/providers/{id}"
payload = {
"stepUpProvider": {
"clientId": "<string>",
"displayName": "<string>",
"enabled": True,
"issuerUrl": "<string>",
"microsoft": {
"conditionalAccessIds": ["<string>"],
"tenant": "<string>"
},
"oauth2": { "acrValues": ["<string>"] }
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stepUpProvider: {
clientId: '<string>',
displayName: '<string>',
enabled: true,
issuerUrl: '<string>',
microsoft: {conditionalAccessIds: ['<string>'], tenant: '<string>'},
oauth2: {acrValues: ['<string>']}
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/step-up/providers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stepUpProvider": {
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"enabled": true,
"id": "<string>",
"issuerUrl": "<string>",
"lastTestedAt": "2023-11-07T05:31:56Z",
"microsoft": {
"conditionalAccessIds": [
"<string>"
],
"tenant": "<string>"
},
"oauth2": {
"acrValues": [
"<string>"
]
},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update
Update modifies an existing step-up authentication provider’s configuration. Use the update mask to specify which fields to change.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.StepUpProvider.Update(ctx, operations.C1APIStepupV1StepUpProviderServiceUpdateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.UpdateStepUpProviderResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.stepUpProvider.update({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The unique identifier of the step-up provider.
Body
The UpdateStepUpProviderRequest message.
StepUpProvider represents a configured step-up authentication integration (e.g., Duo, custom OIDC).
This message contains a oneof named settings. Only a single field of the following list may be set at a time:
- oauth2
- microsoft
Show child attributes
Show child attributes
Response
Successful response
The UpdateStepUpProviderResponse message.
StepUpProvider represents a configured step-up authentication integration (e.g., Duo, custom OIDC).
This message contains a oneof named settings. Only a single field of the following list may be set at a time:
- oauth2
- microsoft
Show child attributes
Show child attributes
Was this page helpful?